Index: trunk/mapbender/http/nav/alkisnav_adr.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_adr.php	(revision 330)
+++ trunk/mapbender/http/nav/alkisnav_adr.php	(revision 333)
@@ -9,4 +9,5 @@
 	2014-01-23	Link zum Auskunft-Modul fÃŒr StraÃe
 	2014-09-03  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-10  Bei Relationen den Timestamp abschneiden
 
 	ToDo:
@@ -240,5 +241,5 @@
 			}
 			$sqlko.="FROM ax_lagebezeichnungohnehausnummer o ";
-			$sqlko.="JOIN ax_flurstueck f ON o.gml_id = ANY(f.zeigtauf) ";
+			$sqlko.="JOIN ax_flurstueck f ON substring(o.gml_id,1,16)=ANY(f.zeigtauf) ";
 			$sqlko.="WHERE o.land= $1 AND o.regierungsbezirk= $2 AND o.kreis= $3 AND o.gemeinde= $4 AND o.lage= $5 ";	
 			$sqlko.="LIMIT 1;"; // die erstbeste Koordinate
@@ -296,6 +297,6 @@
 			$sql.="avg (st_y(st_transform(p.wkb_geometry,".$epsg."))) AS y ";		
 		}
-		$sql.="FROM ap_pto p JOIN ax_lagebezeichnungmithausnummer h ON h.gml_id = ANY(p.dientzurdarstellungvon) ";
-		$sql.="WHERE p.art = 'HNR' AND h.land= $1 AND h.regierungsbezirk= $2 AND h.kreis= $3 AND h.gemeinde= $4 AND h.lage= $5 ";
+		$sql.="FROM ap_pto p JOIN ax_lagebezeichnungmithausnummer h ON substring(h.gml_id,1,16)=ANY(p.dientzurdarstellungvon) ";
+		$sql.="WHERE p.art='HNR' AND h.land= $1 AND h.regierungsbezirk= $2 AND h.kreis= $3 AND h.gemeinde= $4 AND h.lage= $5 ";
 		$sql.="GROUP BY lpad(split_part(hausnummer,' ',1), 4, '0'), split_part(hausnummer,' ',2) ";
 		$sql.="ORDER BY lpad(split_part(hausnummer,' ',1), 4, '0'), split_part(hausnummer,' ',2);";
Index: trunk/mapbender/http/nav/alkisnav_grd.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_grd.php	(revision 330)
+++ trunk/mapbender/http/nav/alkisnav_grd.php	(revision 333)
@@ -3,7 +3,7 @@
 	2013-04-16	"import_request_variables" entfÃ€llt in PHP 5.4
 	2013-04-26	Ersetzen View "gemeinde_gemarkung" durch Tabelle "pp_gemarkung"
-					Code aus _eig nach_fkt ausgelegert, hier mit nutzen. 
-					Dazu Var-Namen harmonisieren: $gblatt wird $blattgml
-					ZurÃŒck-Link, Titel der Transaktion anzeigen.
+				Code aus _eig nach_fkt ausgelegert, hier mit nutzen. 
+				Dazu Var-Namen harmonisieren: $gblatt wird $blattgml
+				ZurÃŒck-Link, Titel der Transaktion anzeigen.
 	2013-04-29	Test mit IE
 	2013-05-07  Strukturierung des Programms, redundanten Code in Functions zusammen fassen
@@ -11,4 +11,5 @@
 	2013-12-12	Limit in EinBlatt von 200 weit hoch gesetzt (bis BlÃ€ttern mÃ¶glich wird)
 	2014-09-03  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-10  Bei Relationen den Timestamp abschneiden
 */
 $cntget = extract($_GET);
@@ -54,7 +55,7 @@
 	$linelimit=40;
 
-	$sql ="SELECT stelle, bezeichnung AS ag FROM ax_dienststelle ";
-	$sql.="WHERE stelle IN (".$liste_ag.") AND stellenart = 1000 AND endet IS NULL "; // AG aus Liste
-	$sql.="ORDER BY bezeichnung LIMIT $1 ;";
+	$sql ="SELECT stelle, bezeichnung AS ag FROM ax_dienststelle 
+	WHERE stelle IN (".$liste_ag.") AND stellenart = 1000 AND endet IS NULL 
+	ORDER BY bezeichnung LIMIT $1 ;";
 	$res = pg_prepare("", $sql);
 	$res = pg_execute("", array($linelimit));
@@ -93,10 +94,11 @@
 
 	// Body
-	$sql ="SELECT g.bezirk, g.bezeichnung FROM ax_buchungsblattbezirk g ";
-	$sql.="JOIN ax_dienststelle a ON g.stelle=a.stelle ";
-	$sql.="WHERE a.stelle = $1 AND a.stellenart = 1000 AND a.endet IS NULL AND g.endet IS NULL ";
-	// Diese Subquery stellt sicher, dass nur Bezirke aufgelistet werden, die auch BlÃ€tter enthalten:
-	$sql.="AND NOT (SELECT gml_id FROM ax_buchungsblatt b WHERE b.land=g.land AND b.bezirk=g.bezirk AND b.endet IS NULL LIMIT 1) IS NULL ";
-	$sql.="ORDER BY g.bezeichnung LIMIT $2 ;";
+	// Die Subquery stellt sicher, dass nur Bezirke aufgelistet werden, die auch BlÃ€tter enthalten
+	$sql ="SELECT g.bezirk, g.bezeichnung FROM ax_buchungsblattbezirk g 
+	JOIN ax_dienststelle a ON g.stelle=a.stelle 
+	WHERE a.stelle = $1 AND a.stellenart = 1000 AND a.endet IS NULL AND g.endet IS NULL 
+	AND NOT (SELECT gml_id FROM ax_buchungsblatt b WHERE b.land=g.land AND b.bezirk=g.bezirk AND b.endet IS NULL LIMIT 1) IS NULL 
+	ORDER BY g.bezeichnung LIMIT $2 ;";
+
 	$v = array($agkey, $linelimit);
 	$res = pg_prepare("", $sql);
@@ -129,6 +131,6 @@
 	// Parameter = SchlÃŒssel des Bezirks
 	#global $debug;
-	$sql ="SELECT a.stelle, a.bezeichnung AS ag, g.bezeichnung FROM ax_buchungsblattbezirk g ";
-	$sql.="JOIN ax_dienststelle a ON g.stelle=a.stelle WHERE g.bezirk= $1 AND g.endet IS NULL AND a.endet IS NULL LIMIT 1;";
+	$sql ="SELECT a.stelle, a.bezeichnung AS ag, g.bezeichnung FROM ax_buchungsblattbezirk g 
+	JOIN ax_dienststelle a ON g.stelle=a.stelle WHERE g.bezirk= $1 AND g.endet IS NULL AND a.endet IS NULL LIMIT 1;";
 	$v=array($gbbez);
 	$res=pg_prepare("", $sql);
@@ -159,8 +161,9 @@
 	global $gkz, $gemeinde, $debug, $gbkennz;
 	$linelimit=80;
-	$sql ="SELECT a.stelle, a.bezeichnung AS ag, g.bezirk, g.bezeichnung FROM ax_buchungsblattbezirk g ";
-	$sql.="JOIN ax_dienststelle a ON g.stelle=a.stelle ";
-	$sql.="WHERE g.bezeichnung ILIKE $1 AND g.endet IS NULL AND a.endet IS NULL "; // "AND a.stellenart=1000 " Amtsgericht
-	$sql.="ORDER BY a.bezeichnung, g.bezeichnung LIMIT $2 ;";
+
+	$sql ="SELECT a.stelle, a.bezeichnung AS ag, g.bezirk, g.bezeichnung FROM ax_buchungsblattbezirk g 
+	JOIN ax_dienststelle a ON g.stelle=a.stelle 
+	WHERE g.bezeichnung ILIKE $1 AND g.endet IS NULL AND a.endet IS NULL 
+	ORDER BY a.bezeichnung, g.bezeichnung LIMIT $2 ;";// "AND a.stellenart=1000 " Amtsgericht
 	if ( $gbkennz == "") {
 		$match = "%";
@@ -220,6 +223,6 @@
 	}
 	// Body
-	$sql ="SELECT b.gml_id, b.buchungsblattnummermitbuchstabenerweiterung AS blatt FROM ax_buchungsblatt b ";
-	$sql.="WHERE b.bezirk= $1 AND b.endet IS NULL ORDER BY b.buchungsblattnummermitbuchstabenerweiterung LIMIT $2 ;";
+	$sql ="SELECT b.gml_id, b.buchungsblattnummermitbuchstabenerweiterung AS blatt FROM ax_buchungsblatt b 
+	WHERE b.bezirk= $1 AND b.endet IS NULL ORDER BY b.buchungsblattnummermitbuchstabenerweiterung LIMIT $2 ;";
 	$v=array($zgbbez, $linelimit);
 	$res=pg_prepare("", $sql);
@@ -254,6 +257,6 @@
 	// Kennzeichen "Bezirk + Blatt" eingegeben. Dazu die gml_id des Blattes ermitteln.
 	global $debug, $zgbbez, $zblatt, $zblattn, $zblattz;
-	$sql ="SELECT b.gml_id, b.buchungsblattnummermitbuchstabenerweiterung AS blatt FROM ax_buchungsblatt b "; 
-	$sql.="WHERE b.bezirk= $1 AND b.endet IS NULL AND b.buchungsblattnummermitbuchstabenerweiterung ";
+	$sql ="SELECT b.gml_id, b.buchungsblattnummermitbuchstabenerweiterung AS blatt FROM ax_buchungsblatt b 
+	WHERE b.bezirk= $1 AND b.endet IS NULL AND b.buchungsblattnummermitbuchstabenerweiterung ";
 
 	if ($zblattz == "") { // Ohne Buchstabenerweiterung: Formate '123','000123 ','0000123'
@@ -303,7 +306,7 @@
 
 	// Blatt ->  B u c h u n g s s t e l l e
-	$sql ="SELECT s.gml_id FROM ax_buchungsstelle s ";
-	$sql.="JOIN ax_buchungsblatt b ON s.istbestandteilvon = b.gml_id "; 
-	$sql.="WHERE b.bezirk= $1 AND s.endet IS NULL AND b.endet IS NULL AND b.buchungsblattnummermitbuchstabenerweiterung ";
+	$sql ="SELECT s.gml_id FROM ax_buchungsstelle s 
+	JOIN ax_buchungsblatt b ON s.istbestandteilvon=substring(b.gml_id,1,16)
+	WHERE b.bezirk= $1 AND s.endet IS NULL AND b.endet IS NULL AND b.buchungsblattnummermitbuchstabenerweiterung ";
 
 	if ($zblattz == "") { // Ohne Buchstabenerweiterung
@@ -421,8 +424,8 @@
 	$sql.="gd.stelle, gd.gml_id AS dienbezgml, gd.bezirk, gd.bezeichnung AS diengbbez "; // AG und Bezirk dazu
 	$sql.="FROM ax_buchungsstelle sh "; // herrschend
-	$sql.="JOIN ax_buchungsstelle sd ON sd.gml_id = ANY(sh.an) "; // dienend
-	$sql.="JOIN ax_flurstueck f ON f.istgebucht = sd.gml_ID ";
+	$sql.="JOIN ax_buchungsstelle sd ON substring(sd.gml_id,1,16)=ANY(sh.an) "; // dienend
+	$sql.="JOIN ax_flurstueck f ON f.istgebucht=substring(sd.gml_id,1,16) ";
 	$sql.="JOIN pp_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkung ";
-	$sql.="JOIN ax_buchungsblatt bd ON sd.istbestandteilvon = bd.gml_id ";	// Blatt dienend
+	$sql.="JOIN ax_buchungsblatt bd ON sd.istbestandteilvon=substring(bd.gml_id,1,16) ";	// Blatt dienend
 	$sql.="JOIN ax_buchungsblattbezirk gd ON bd.land=gd.land AND bd.bezirk=gd.bezirk "; // GB-Bez. dienend
 	$sql.="WHERE sh.gml_id = $1 AND sh.endet IS NULL AND sd.endet IS NULL AND f.endet IS NULL AND bd.endet IS NULL ";
Index: trunk/mapbender/http/nav/alkisnav_fkt.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_fkt.php	(revision 330)
+++ trunk/mapbender/http/nav/alkisnav_fkt.php	(revision 333)
@@ -6,4 +6,5 @@
 	2014-02-06  Korrektur zeile_person
 	2014-09-03  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-10  Bei Relationen den Timestamp abschneiden
 */
 
@@ -248,10 +249,10 @@
 
 	// 2 Varianten zwischen
-    $sqlz1="JOIN ax_flurstueck f ON f.istgebucht = s1.gml_id ";
+    $sqlz1="JOIN ax_flurstueck f ON f.istgebucht=substring(s1.gml_id,1,16) ";
 	
-	$sqlz2 ="JOIN ax_buchungsstelle s2 ON s2.gml_id = ANY(s1.an) "; // nur an oder "an" und "zu" ?
+	$sqlz2 ="JOIN ax_buchungsstelle s2 ON substring(s2.gml_id,1,16)=ANY(s1.an) "; // nur an oder "an" und "zu" ?
 // Test: SELECT * FROM ax_buchungsstelle WHERE NOT zu IS NULL;  // keine Treffer fÃŒr "zu"
-//	$sqlz2 ="JOIN ax_buchungsstelle s2 ON (s2.gml_id = ANY(s1.an) OR s2.gml_id = ANY(s1.zu)) "; 
-    $sqlz2.="JOIN ax_flurstueck f ON f.istgebucht = s2.gml_id ";
+//	$sqlz2 ="JOIN ax_buchungsstelle s2 ON (substring(s2.gml_id,1,16)=ANY(s1.an) OR substring(s2.gml_id,1,16)=ANY(s1.zu)) "; 
+    $sqlz2.="JOIN ax_flurstueck f ON f.istgebucht=substring(s2.gml_id,1,16) ";
 
 	// hinten gleich
Index: trunk/mapbender/http/nav/alkisnav_fls.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_fls.php	(revision 330)
+++ trunk/mapbender/http/nav/alkisnav_fls.php	(revision 333)
@@ -10,4 +10,5 @@
 	2013-10-15  missing Parameter
 	2014-09-03  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-10  Bei Relationen den Timestamp abschneiden
 */
 $cntget = extract($_GET);
@@ -308,10 +309,10 @@
 		$match = trim($fskennz)."%";
 	}	
-	$sql ="SELECT g.gemeinde, g.gemarkung, g.gemarkungsname, s.gemeindename ";
-	$sql.="FROM pp_gemarkung g JOIN pp_gemeinde s ON g.gemeinde = s.gemeinde ";
-	$sql.="WHERE g.gemarkungsname ILIKE $1 ";
+	$sql ="SELECT g.gemeinde, g.gemarkung, g.gemarkungsname, s.gemeindename 
+	FROM pp_gemarkung g JOIN pp_gemeinde s ON g.gemeinde=s.gemeinde 
+	WHERE g.gemarkungsname ILIKE $1 ";
 	switch ($gfilter) {
 		case 1: // Einzelwert
-			$sql.="AND g.gemeinde='".$gemeinde."' "; break;
+			$sql.="AND g.gemeinde='".$gemeinde."'"; break;
 		case 2: // Liste
 			$sql.="AND g.gemeinde in ("."'".str_replace(",", "','", $gemeinde)."'".") "; break;
@@ -617,25 +618,4 @@
 				return;
 			}
-
-/*
-
- SELECT 'a' AS ftyp, gml_id, gemarkungsnummer, flurnummer, zaehler, nenner 
- FROM ax_flurstueck 
- WHERE flurstueckskennzeichen IN ( '05265600400296______' ) 
-   AND endet IS NULL 
-UNION 
- SELECT 'h' AS ftyp, gml_id, gemarkungsnummer, flurnummer, zaehler, nenner 
- FROM ax_historischesflurstueck 
- WHERE flurstueckskennzeichen IN ( '05265600400296______' ) 
-    AND endet IS NULL 
-UNION 
- SELECT 'o' AS ftyp, gml_id, gemarkungsnummer, flurnummer, zaehler, nenner 
- FROM ax_historischesflurstueckohneraumbezug 
- WHERE flurstueckskennzeichen IN ( '05265600400296______' ) 
-   AND endet IS NULL '
-
-==> UNION-Typen character varying und integer passen nicht zusammen  gemarkungsnummer
-
-*/
 
 			$zfsn=0;
Index: trunk/mapbender/http/nav/alkisnav_eig.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_eig.php	(revision 330)
+++ trunk/mapbender/http/nav/alkisnav_eig.php	(revision 333)
@@ -13,4 +13,5 @@
 				Title auch auf Icon, IE zeigt sonst alt= als Title dar.
 	2014-09-09  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-15  Bei Relationen den Timestamp abschneiden
 */
 $cntget = extract($_GET);
@@ -62,8 +63,8 @@
 	global $gkz, $gemeinde, $epsg, $name, $person, $blattgml, $auskpath; // $debug
 
-	$sql ="SELECT p.nachnameoderfirma, p.vorname, p.geburtsdatum, p.namensbestandteil, ";
-	$sql.="a.ort_post, a.postleitzahlpostzustellung AS plz, a.strasse, a.hausnummer ";
-	$sql.="FROM ax_person p LEFT JOIN ax_anschrift a ON a.gml_id = ANY(p.hat) ";
-	$sql.="WHERE p.gml_id= $1 AND p.endet IS NULL AND a.endet IS NULL LIMIT 1;";	
+	$sql ="SELECT p.nachnameoderfirma, p.vorname, p.geburtsdatum, p.namensbestandteil, 
+	a.ort_post, a.postleitzahlpostzustellung AS plz, a.strasse, a.hausnummer 
+	FROM ax_person p LEFT JOIN ax_anschrift a ON substring(a.gml_id,1,16)=ANY(p.hat) 
+	WHERE p.gml_id= $1 AND p.endet IS NULL AND a.endet IS NULL LIMIT 1;";	
 	// Es wird nur eine Zeile ausgewertet
 
@@ -128,5 +129,6 @@
 	$sql ="SELECT p.nachnameoderfirma, p.vorname, p.gml_id FROM ax_person p ";
 	if ($gfilter > 0) {
-		$sql.="JOIN gemeinde_person g ON p.gml_id = g.person WHERE ";
+	//	$sql.="JOIN gemeinde_person g ON substring(p.gml_id,1,16) = substring(g.person,1,16) WHERE ";
+		$sql.="JOIN gemeinde_person g ON p.gml_id=g.person WHERE ";
 		switch ($gfilter) {
 			case 1: // Einzel
@@ -192,8 +194,8 @@
 	// Body
 	// Suche nach GrundbÃŒchern der Person
-	$sql ="SELECT gb.gml_id AS gml_g, gb.buchungsblattnummermitbuchstabenerweiterung as blatt, b.bezirk, b.bezeichnung AS beznam ";
-	$sql.="FROM ax_namensnummer n JOIN ax_buchungsblatt gb ON n.istbestandteilvon = gb.gml_id ";
-	$sql.="JOIN ax_buchungsblattbezirk b ON gb.land = b.land AND gb.bezirk = b.bezirk ";
-	$sql.="WHERE n.bennennt = $1 AND n.endet IS NULL AND gb.endet IS NULL AND b.endet IS NULL ";
+	$sql ="SELECT gb.gml_id AS gml_g, gb.buchungsblattnummermitbuchstabenerweiterung as blatt, b.bezirk, b.bezeichnung AS beznam 
+	FROM ax_namensnummer n JOIN ax_buchungsblatt gb ON n.istbestandteilvon=substring(gb.gml_id,1,16) 
+	JOIN ax_buchungsblattbezirk b ON gb.land=b.land AND gb.bezirk=b.bezirk 
+	WHERE n.bennennt = $1 AND n.endet IS NULL AND gb.endet IS NULL AND b.endet IS NULL;";
 
 	// Parameter $gbkennz, z.B. nach Klick auf Zeile "Bezirk"
@@ -218,5 +220,5 @@
 		echo "\n<p class='ein'>Teil ".$bltseite;
 	}
-	$v=array($person, $linelimit);
+	$v=array(substr($person,0,16), $linelimit); // nur 16 Stellen in Relation "benennt"
 	$res=pg_prepare("", $sql);
 	$res=pg_execute("", $v);
@@ -239,5 +241,14 @@
 		$cnt++;
 	}
-
+/*
+	if ($cnt == 0) { // Nur Entwicklg.
+		if ($debug > 1) {
+			echo "\n<p class='err'>keine Buchung</p>";
+		}
+		if ($debug > 2) {
+			echo "<p class='dbg'>SQL = '".$sql."',<br>$1 = '".substr($person,0,16)."'<p>";
+		}
+	}
+*/
 	// Foot
 	if($cnt == 0) { 
@@ -328,6 +339,6 @@
 
 	// Baustein 1: SQL-Anfang fuer beide Varianten
-	$sql1 ="SELECT gb.gml_id AS gml_g, gb.buchungsblattnummermitbuchstabenerweiterung as blatt, b.bezirk, b.bezeichnung AS beznam, ";
-	$sql1.="s1.gml_id as bsgml, s1.laufendenummer AS lfd, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.gemeinde, ot.gemarkung, ot.gemarkungsname, ";
+	$sql1 ="SELECT gb.gml_id AS gml_g, gb.buchungsblattnummermitbuchstabenerweiterung as blatt, b.bezirk, b.bezeichnung AS beznam, 
+	s1.gml_id as bsgml, s1.laufendenummer AS lfd, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.gemeinde, ot.gemarkung, ot.gemarkungsname, ";
 	if($epsg == "25832") { // Transform nicht notwendig
 		$sql1.="st_x(st_centroid(f.wkb_geometry)) AS x, ";
@@ -339,16 +350,16 @@
 
 	// NamenNummer >istbestandteilvon> buchungsblatt <istbestandteilvon< buchungsstelle-1
-	$sql1.="FROM ax_namensnummer nn ";
-	$sql1.="JOIN ax_buchungsblatt gb ON gb.gml_id = nn.istbestandteilvon ";
-	$sql1.="JOIN ax_buchungsblattbezirk b ON gb.land=b.land AND gb.bezirk=b.bezirk ";
-	$sql1.="JOIN ax_buchungsstelle s1 ON gb.gml_id = s1.istbestandteilvon ";
+	$sql1.="FROM ax_namensnummer nn 
+	JOIN ax_buchungsblatt gb ON substring(gb.gml_id,1,16)=nn.istbestandteilvon 
+	JOIN ax_buchungsblattbezirk b ON gb.land=b.land AND gb.bezirk=b.bezirk
+	JOIN ax_buchungsstelle s1 ON substring(gb.gml_id,1,16)=s1.istbestandteilvon ";
 
 	// Baustein A: Auswahl 1 oder 2
 	// buchungsstelle-1 <istGebucht< FS
-	$sqla1 ="JOIN ax_flurstueck f ON s1.gml_id = f.istgebucht ";
+	$sqla1 ="JOIN ax_flurstueck f ON substring(s1.gml_id,1,16)=f.istgebucht ";
 
 	// buchungsStelle1 (herr.) >an> buchungsStelle2 (dien.) <istGebucht< FS
-	$sqla2 ="JOIN ax_buchungsstelle s2 ON s2.gml_id = ANY(s1.an) ";
-	$sqla2.="JOIN ax_flurstueck f ON s2.gml_id = f.istgebucht ";
+	$sqla2 ="JOIN ax_buchungsstelle s2 ON substring(s2.gml_id,1,16)=ANY(s1.an) ";
+	$sqla2.="JOIN ax_flurstueck f ON substring(s2.gml_id,1,16)=f.istgebucht ";
 
 	// Baustein 2: SQL-Ende fuer beide Varianten
@@ -360,5 +371,5 @@
 	if ($kennztyp > 1) { // 2=Such Bezirk-Nummer, 3=Such Blatt, 4=Such Buchung BVNR
 		#if ($debug > 0) {echo "<p class='dbg'>Filter Bezirk '".$zgbbez."'<p>";}
-		$sql2.="AND b.bezirk = ".$zgbbez." ";
+		$sql2.="AND b.bezirk = '".$zgbbez."' ";
 		$bezirkaktuell = true;
 	} else {
@@ -402,10 +413,11 @@
 		// Blatt <istBestandteilVon<  Buchungsstelle <istGebucht< Flurstck.
 		$sql=$sql1.$sqla1.$sql2.$bltwhere.$sql3; // Direkte Buchungen
-		$v=array($person, $linelimit);
+
+		$v=array(substr($person,0,16), $linelimit); // Rel. "benennt" nur 16 Zeichen
 		$res=pg_prepare("", $sql);
 		$res=pg_execute("", $v);
 		if (!$res) {
 			echo "\n<p class='err'>Fehler bei Buchung und Flurst&uuml;ck.</p>";
-			if ($debug > 2) {echo "<p class='dbg'>SQL = '".$sql."'<p>";}
+			if ($debug > 2) {echo "<p class='dbg'>SQL = '".$sql."', $1 = '".substr($person,0,16)."'<p>";}
 			return;
 		}
@@ -473,4 +485,13 @@
 	}
 
+/*	if ($zfs1 == 0) { // Nur Entw. - Start
+		if ($debug > 1) {
+			echo "\n<p class='dbg'>Keine Buchung</p>";
+		}
+		if ($debug > 2) {
+			echo "<p class='dbg'>SQL = '".$sql."'<p>";
+		}
+	} // Nur Entw. - Ende */
+
 	// FÃ€lle mit "Rechte an"
 	if ($bltrecht != "ohne") { // "nur"/"ohne" liefert nur den abgebrochene Teil der Auflistung 
@@ -478,5 +499,5 @@
 		// buchungsStelle2 <an< buchungsStelle1
 		$sql=$sql1.$sqla2.$sql2.$bltwhere."AND s2.endet IS NULL ".$sql3; // Rechte an
-		$v=array($person, $linelimit);
+		$v=array(substr($person,0,16), $linelimit);
 		$res=pg_prepare("", $sql);
 		$res=pg_execute("", $v);