Index: trunk/mapbender/http/nav/alkisnav_eig.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_eig.php	(revision 333)
+++ trunk/mapbender/http/nav/alkisnav_eig.php	(revision 334)
@@ -13,5 +13,5 @@
 				Title auch auf Icon, IE zeigt sonst alt= als Title dar.
 	2014-09-09  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
-	2014-09-15  Bei Relationen den Timestamp abschneiden
+	2014-09-15  Bei Relationen den Timestamp abschneiden, mehr "endet IS NULL"
 */
 $cntget = extract($_GET);
@@ -129,6 +129,5 @@
 	$sql ="SELECT p.nachnameoderfirma, p.vorname, p.gml_id FROM ax_person p ";
 	if ($gfilter > 0) {
-	//	$sql.="JOIN gemeinde_person g ON substring(p.gml_id,1,16) = substring(g.person,1,16) WHERE ";
-		$sql.="JOIN gemeinde_person g ON p.gml_id=g.person WHERE ";
+		$sql.="JOIN gemeinde_person g ON p.gml_id=g.person WHERE p.endet IS NULL AND ";
 		switch ($gfilter) {
 			case 1: // Einzel
@@ -138,5 +137,5 @@
 		}
 	} else {
-		$sql.="WHERE ";
+		$sql.="WHERE p.endet IS NULL AND ";
 	}
 	if($match1 != '%'){
@@ -241,14 +240,9 @@
 		$cnt++;
 	}
-/*
-	if ($cnt == 0) { // Nur Entwicklg.
-		if ($debug > 1) {
-			echo "\n<p class='err'>keine Buchung</p>";
-		}
-		if ($debug > 2) {
-			echo "<p class='dbg'>SQL = '".$sql."',<br>$1 = '".substr($person,0,16)."'<p>";
-		}
-	}
-*/
+/*	if ($cnt == 0) { // Nur Entwicklg.
+		if ($debug > 1) {echo "\n<p class='err'>keine Buchung</p>";}
+		if ($debug > 2) {echo "<p class='dbg'>SQL = '".$sql."',<br>$1 = '".substr($person,0,16)."'<p>";}
+	} */
+
 	// Foot
 	if($cnt == 0) { 
@@ -282,5 +276,5 @@
 
 		// Namen ermitteln
-		$sql ="SELECT nachnameoderfirma, vorname FROM ax_person WHERE gml_id = $1 ";
+		$sql ="SELECT nachnameoderfirma, vorname FROM ax_person WHERE gml_id = $1 AND endet IS NULL;";
 		$v=array($person);
 	 	$res=pg_prepare("", $sql);
@@ -293,5 +287,5 @@
 		$sql ="SELECT gb.gml_id AS gml_g, gb.buchungsblattnummermitbuchstabenerweiterung as blatt, b.bezirk, b.bezeichnung AS beznam ";
 		$sql.="FROM ax_buchungsblatt gb JOIN ax_buchungsblattbezirk b ON gb.land=b.land AND gb.bezirk=b.bezirk ";
-		$sql.="WHERE gb.gml_id= $1 LIMIT 1 ;";
+		$sql.="WHERE gb.gml_id= $1 AND gb.endet IS NULL and b.endet IS NULL LIMIT 1 ;";
 		$v=array($blattgml);
 		$res=pg_prepare("", $sql);
@@ -366,5 +360,6 @@
 	$sql2 ="JOIN pp_gemarkung ot ON f.land=ot.land AND f.gemarkungsnummer=ot.gemarkung "; // Ortsteil
 	$sql2.="WHERE nn.benennt = $1 AND nn.endet IS NULL AND gb.endet IS NULL AND s1.endet IS NULL AND f.endet IS NULL ";
-	// AND s2.endet IS NULL
+
+	$sqlw2="AND s2.endet IS NULL ";
 
 	// Parameter $gbkennz nach Klick auf Zeile "Bezirk"
@@ -498,5 +493,5 @@
 		// Zweite Abfrage (Variante) aus den Bausteinen zusammen bauen
 		// buchungsStelle2 <an< buchungsStelle1
-		$sql=$sql1.$sqla2.$sql2.$bltwhere."AND s2.endet IS NULL ".$sql3; // Rechte an
+		$sql=$sql1.$sqla2.$sql2.$bltwhere.$sqlw2.$sql3; // Rechte an
 		$v=array(substr($person,0,16), $linelimit);
 		$res=pg_prepare("", $sql);
Index: trunk/mapbender/http/nav/alkisnav_adr.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_adr.php	(revision 333)
+++ trunk/mapbender/http/nav/alkisnav_adr.php	(revision 334)
@@ -9,5 +9,5 @@
 	2014-01-23	Link zum Auskunft-Modul fÃŒr StraÃe
 	2014-09-03  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
-	2014-09-10  Bei Relationen den Timestamp abschneiden
+	2014-09-15  Bei Relationen den Timestamp abschneiden, mehr "endet IS NULL"
 
 	ToDo:
@@ -64,8 +64,8 @@
 		$match=trim($matches[1])."%";
 	}
-	$sql ="SELECT g.gemeinde, g.bezeichnung AS gemname, k.gml_id, k.bezeichnung, k.schluesselgesamt, k.lage ";
-	$sql.="FROM ax_lagebezeichnungkatalogeintrag k ";
-	$sql.="JOIN ax_gemeinde g ON k.land=g.land AND k.regierungsbezirk=g.regierungsbezirk AND k.kreis=g.kreis AND k.gemeinde=g.gemeinde ";
-	$sql.="WHERE k.bezeichnung ILIKE $1 AND k.endet IS NULL AND g.endet IS NULL ";
+	$sql ="SELECT g.gemeinde, g.bezeichnung AS gemname, k.gml_id, k.bezeichnung, k.schluesselgesamt, k.lage 
+	FROM ax_lagebezeichnungkatalogeintrag k 
+	JOIN ax_gemeinde g ON k.land=g.land AND k.regierungsbezirk=g.regierungsbezirk AND k.kreis=g.kreis AND k.gemeinde=g.gemeinde 
+	WHERE k.bezeichnung ILIKE $1 AND k.endet IS NULL AND g.endet IS NULL ";
 	switch ($gfilter) {
 		case 1: // Einzelwert
@@ -137,8 +137,8 @@
 		$match=str_pad($street, 5, "0", STR_PAD_LEFT); // "Wie eine Zahl" verarbeiten 
 	}
-	$sql ="SELECT g.bezeichnung AS gemname, k.gml_id, k.bezeichnung, k.schluesselgesamt, k.lage ";
-	$sql.="FROM ax_lagebezeichnungkatalogeintrag as k ";
-	$sql.="JOIN ax_gemeinde g ON k.land=g.land AND k.regierungsbezirk=g.regierungsbezirk AND k.kreis=g.kreis AND k.gemeinde=g.gemeinde ";
-	$sql.="WHERE k.lage LIKE $1 ";
+	$sql ="SELECT g.bezeichnung AS gemname, k.gml_id, k.bezeichnung, k.schluesselgesamt, k.lage 
+	FROM ax_lagebezeichnungkatalogeintrag as k 
+	JOIN ax_gemeinde g ON k.land=g.land AND k.regierungsbezirk=g.regierungsbezirk AND k.kreis=g.kreis AND k.gemeinde=g.gemeinde 
+	WHERE k.lage LIKE $1 AND k.endet IS NULL AND g.endet IS NULL ";
 	switch ($gfilter) {
 		case 1: // Einzelwert
@@ -206,8 +206,8 @@
 	// Head
 	// Strasse zum Strassenschluessel
-	$sql ="SELECT g.bezeichnung AS gemname, k.gml_id AS kgml, k.bezeichnung, k.land, k.regierungsbezirk, k.kreis, k.gemeinde, k.lage ";
-	$sql.="FROM ax_lagebezeichnungkatalogeintrag as k ";
-	$sql.="JOIN ax_gemeinde g ON k.land=g.land AND k.regierungsbezirk=g.regierungsbezirk AND k.kreis=g.kreis AND k.gemeinde=g.gemeinde ";
-	$sql.="WHERE k.schluesselgesamt = $1 LIMIT 1"; 
+	$sql ="SELECT g.bezeichnung AS gemname, k.gml_id AS kgml, k.bezeichnung, k.land, k.regierungsbezirk, k.kreis, k.gemeinde, k.lage 
+	FROM ax_lagebezeichnungkatalogeintrag as k 
+	JOIN ax_gemeinde g ON k.land=g.land AND k.regierungsbezirk=g.regierungsbezirk AND k.kreis=g.kreis AND k.gemeinde=g.gemeinde 
+	WHERE k.schluesselgesamt = $1 AND k.endet IS NULL AND g.endet IS NULL LIMIT 1"; 
 
   	$v=array($str_schl);	// Schluessel-Gesamt ..
@@ -297,8 +297,9 @@
 			$sql.="avg (st_y(st_transform(p.wkb_geometry,".$epsg."))) AS y ";		
 		}
-		$sql.="FROM ap_pto p JOIN ax_lagebezeichnungmithausnummer h ON substring(h.gml_id,1,16)=ANY(p.dientzurdarstellungvon) ";
-		$sql.="WHERE p.art='HNR' AND h.land= $1 AND h.regierungsbezirk= $2 AND h.kreis= $3 AND h.gemeinde= $4 AND h.lage= $5 ";
-		$sql.="GROUP BY lpad(split_part(hausnummer,' ',1), 4, '0'), split_part(hausnummer,' ',2) ";
-		$sql.="ORDER BY lpad(split_part(hausnummer,' ',1), 4, '0'), split_part(hausnummer,' ',2);";
+		$sql.="FROM ap_pto p JOIN ax_lagebezeichnungmithausnummer h ON substring(h.gml_id,1,16)=ANY(p.dientzurdarstellungvon) 
+		WHERE p.art='HNR' AND h.land= $1 AND h.regierungsbezirk= $2 AND h.kreis= $3 AND h.gemeinde= $4 AND h.lage= $5 
+		AND p.endet IS NULL AND h.endet IS NULL
+		GROUP BY lpad(split_part(hausnummer,' ',1), 4, '0'), split_part(hausnummer,' ',2) 
+		ORDER BY lpad(split_part(hausnummer,' ',1), 4, '0'), split_part(hausnummer,' ',2);";
 		// Problem: mehrere Koordinaten fÃŒr verschiedene MaÃstÃ€be der Kartendarstellung
 		// Diese sollten nicht mehrfach gelistet werden. FÃŒr Positionierung "irgendeine" nehmen.
Index: trunk/mapbender/http/nav/alkisnav_grd.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_grd.php	(revision 333)
+++ trunk/mapbender/http/nav/alkisnav_grd.php	(revision 334)
@@ -11,5 +11,5 @@
 	2013-12-12	Limit in EinBlatt von 200 weit hoch gesetzt (bis BlÃ€ttern mÃ¶glich wird)
 	2014-09-03  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
-	2014-09-10  Bei Relationen den Timestamp abschneiden
+	2014-09-15  Bei Relationen den Timestamp abschneiden
 */
 $cntget = extract($_GET);
@@ -420,15 +420,15 @@
 
 	// Recht "an" (dienende Buchungen und ihre Flurst.)
-	$sql =$sqlanf.", sd.gml_id AS diengml, sd.laufendenummer AS dienlfd, "; // Stelle dienend
-	$sql.="bd.gml_id AS dienbltgml, bd.buchungsblattnummermitbuchstabenerweiterung AS dienblatt, "; // Blatt dienend
-	$sql.="gd.stelle, gd.gml_id AS dienbezgml, gd.bezirk, gd.bezeichnung AS diengbbez "; // AG und Bezirk dazu
-	$sql.="FROM ax_buchungsstelle sh "; // herrschend
-	$sql.="JOIN ax_buchungsstelle sd ON substring(sd.gml_id,1,16)=ANY(sh.an) "; // dienend
-	$sql.="JOIN ax_flurstueck f ON f.istgebucht=substring(sd.gml_id,1,16) ";
-	$sql.="JOIN pp_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkung ";
-	$sql.="JOIN ax_buchungsblatt bd ON sd.istbestandteilvon=substring(bd.gml_id,1,16) ";	// Blatt dienend
-	$sql.="JOIN ax_buchungsblattbezirk gd ON bd.land=gd.land AND bd.bezirk=gd.bezirk "; // GB-Bez. dienend
-	$sql.="WHERE sh.gml_id = $1 AND sh.endet IS NULL AND sd.endet IS NULL AND f.endet IS NULL AND bd.endet IS NULL ";
-	$sql.=$sqlfilter."ORDER BY gd.bezeichnung, bd.buchungsblattnummermitbuchstabenerweiterung, cast(sd.laufendenummer AS integer), f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner;";
+$sql =$sqlanf.", sd.gml_id AS diengml, sd.laufendenummer AS dienlfd, 
+bd.gml_id AS dienbltgml, bd.buchungsblattnummermitbuchstabenerweiterung AS dienblatt, 
+gd.stelle, gd.gml_id AS dienbezgml, gd.bezirk, gd.bezeichnung AS diengbbez 
+FROM ax_buchungsstelle sh 
+JOIN ax_buchungsstelle sd ON substring(sd.gml_id,1,16)=ANY(sh.an) 
+JOIN ax_flurstueck f ON f.istgebucht=substring(sd.gml_id,1,16) 
+JOIN pp_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkung 
+JOIN ax_buchungsblatt bd ON sd.istbestandteilvon=substring(bd.gml_id,1,16) 
+JOIN ax_buchungsblattbezirk gd ON bd.land=gd.land AND bd.bezirk=gd.bezirk 
+WHERE sh.gml_id = $1 AND sh.endet IS NULL AND sd.endet IS NULL AND f.endet IS NULL AND bd.endet IS NULL AND gd.endet IS NULL "
+.$sqlfilter."ORDER BY gd.bezeichnung, bd.buchungsblattnummermitbuchstabenerweiterung, cast(sd.laufendenummer AS integer), f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner;";
 
 	$v=array($buchunggml);
Index: trunk/mapbender/http/nav/alkisnav.css
===================================================================
--- trunk/mapbender/http/nav/alkisnav.css	(revision 333)
+++ trunk/mapbender/http/nav/alkisnav.css	(revision 334)
Index: trunk/mapbender/http/nav/alkisnav_fkt.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_fkt.php	(revision 333)
+++ trunk/mapbender/http/nav/alkisnav_fkt.php	(revision 334)
@@ -6,5 +6,5 @@
 	2014-02-06  Korrektur zeile_person
 	2014-09-03  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
-	2014-09-10  Bei Relationen den Timestamp abschneiden
+	2014-09-15  Bei Relationen den Timestamp abschneiden, mehr "endet IS NULL"
 */
 
@@ -236,5 +236,5 @@
 	global $gemeinde, $blattgml, $epsg, $gfilter, $debug;
 
-	// SQL-Bausteine vorbereiten
+	// SQL-Bausteine
 	// vorne gleich
 	$sql1 ="SELECT s1.laufendenummer AS lfd, s1.gml_id AS bsgml, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.gemeinde, ";
@@ -248,15 +248,14 @@
 	$sql1.="g.gemarkung, g.gemarkungsname FROM ax_buchungsstelle s1 "; 
 
-	// 2 Varianten zwischen
+	// zwischen, Variante 1.
     $sqlz1="JOIN ax_flurstueck f ON f.istgebucht=substring(s1.gml_id,1,16) ";
-	
-	$sqlz2 ="JOIN ax_buchungsstelle s2 ON substring(s2.gml_id,1,16)=ANY(s1.an) "; // nur an oder "an" und "zu" ?
-// Test: SELECT * FROM ax_buchungsstelle WHERE NOT zu IS NULL;  // keine Treffer fÃŒr "zu"
-//	$sqlz2 ="JOIN ax_buchungsstelle s2 ON (substring(s2.gml_id,1,16)=ANY(s1.an) OR substring(s2.gml_id,1,16)=ANY(s1.zu)) "; 
-    $sqlz2.="JOIN ax_flurstueck f ON f.istgebucht=substring(s2.gml_id,1,16) ";
+
+	// zwischen, Variante 2. Nur an oder "an" und "zu"?
+	$sqlz2 ="JOIN ax_buchungsstelle s2 ON substring(s2.gml_id,1,16)=ANY(s1.an) 
+	JOIN ax_flurstueck f ON f.istgebucht=substring(s2.gml_id,1,16) ";
 
 	// hinten gleich
-	$sql2.="JOIN pp_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkung ";
-	$sql2.="WHERE s1.istbestandteilvon = $1 ";
+	$sql2.="JOIN pp_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkung 
+	WHERE s1.istbestandteilvon = $1 AND f.endet IS NULL AND s1.endet IS NULL ";
 	switch ($gfilter) {
 		case 1: // Einzelwert
@@ -265,16 +264,18 @@
 			$sql2.="AND g.gemeinde in ('".str_replace(",", "','", $gemeinde)."') "; break;
 	}
-	$sql2.="ORDER BY cast(s1.laufendenummer AS integer), f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner LIMIT $2 ;";
-
-	// Abfrage:  d i r e k t e  B u c h u n g e n
-	// Blatt <vbg/istBestandteilVon<  Buchungsstelle <vfb/istGebucht< FlurstÃŒck
-	#$sql=$sql1.$sqlz1.$sql2; // Direkte Buchungen
-
-	$v=array($blattgml, $linelimit);
-	$res=pg_prepare("", $sql1.$sqlz1.$sql2);
+
+	// WHERE-Zusatz bei 2
+	$sqlw2=" AND s2.endet IS NULL ";
+
+	$sqlord="ORDER BY cast(s1.laufendenummer AS integer), f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner LIMIT $2 ;";
+
+	// d i r e k t e  B u c h u n g e n
+	// Blatt <istBestandteilVon<  Buchungsstelle <istGebucht< FlurstÃŒck
+	$v=array(substr($blattgml,0,16), $linelimit); // Rel. istBestandteilVon nur 16 Stellen
+	$res=pg_prepare("", $sql1.$sqlz1.$sql2.$sqlord);
 	$res=pg_execute("", $v);
 	if (!$res) {
 		echo "\n<p class='err'>Fehler bei Buchung und Flurst&uuml;ck.</p>";
-		if ($debug >= 3) {echo "\n<p class='err'>".$sql1.$sqlz1.$sql2."</p>";}
+		if ($debug >= 3) {echo "\n<p class='err'>SQL='".$sql1.$sqlz1.$sql2.$sqlord."'<br>$1 = '".substr($blattgml,0,16)."'</p>";}
 		return;
 	}
@@ -308,11 +309,11 @@
 	if($zfs1 > 0) {echo "<hr>";} // Trennen
 
-	// Abfrage:  R e c h t e  a n   /   d i e n e n d e  B u c h u n g e n
+	// Rechte "an"  (dienende  Buchungen)
 	$v=array($blattgml, $linelimit);
-	$res=pg_prepare("", $sql1.$sqlz2.$sql2);
+	$res=pg_prepare("", $sql1.$sqlz2.$sql2.$sqlw2.$sqlord);
 	$res=pg_execute("", $v);
 	if (!$res) {
 		echo "\n<p class='err'>Fehler bei Recht an Buchung.</p>";
-		#if ($debug >= 3) {echo "\n<p class='dbg'>".$sql1.$sqlz2.$sql2."</p>";}
+		#if ($debug >= 3) {echo "\n<p class='dbg'>".$sql1.$sqlz2.$sql2.$sqlw2.$sqlord."</p>";}
 		return;
 	}
Index: trunk/mapbender/http/nav/alkisnav_fls.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_fls.php	(revision 333)
+++ trunk/mapbender/http/nav/alkisnav_fls.php	(revision 334)
@@ -10,5 +10,5 @@
 	2013-10-15  missing Parameter
 	2014-09-03  PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
-	2014-09-10  Bei Relationen den Timestamp abschneiden
+	2014-09-15  Bei Relationen den Timestamp abschneiden, mehr "endet IS NULL"
 */
 $cntget = extract($_GET);
@@ -236,5 +236,5 @@
 		default: break;
 	}
-	$sql.=" ORDER BY gemeindename LIMIT $1 ;";
+	$sql.=" AND endet IS NULL ORDER BY gemeindename LIMIT $1 ;";
 	$res=pg_prepare("", $sql);
 	$res=pg_execute("", array($linelimit));
@@ -310,6 +310,5 @@
 	}	
 	$sql ="SELECT g.gemeinde, g.gemarkung, g.gemarkungsname, s.gemeindename 
-	FROM pp_gemarkung g JOIN pp_gemeinde s ON g.gemeinde=s.gemeinde 
-	WHERE g.gemarkungsname ILIKE $1 ";
+	FROM pp_gemarkung g JOIN pp_gemeinde s ON g.gemeinde=s.gemeinde WHERE g.gemarkungsname ILIKE $1 ";
 	switch ($gfilter) {
 		case 1: // Einzelwert
@@ -356,7 +355,6 @@
 	// Ãbergeordnete Zeilen (Head) fÃŒr Gemeinde und Gemarkung ausgeben
 	// Parameter = Gemarkungsnummer
-	$sqlh ="SELECT g.gemarkungsname, s.gemeinde, s.gemeindename FROM pp_gemarkung g ";
-	$sqlh.="JOIN pp_gemeinde s ON g.gemeinde=s.gemeinde AND g.land=s.land ";
-	$sqlh.="WHERE g.gemarkung = $1 ;";
+	$sqlh ="SELECT g.gemarkungsname, s.gemeinde, s.gemeindename FROM pp_gemarkung g 
+	JOIN pp_gemeinde s ON g.gemeinde=s.gemeinde AND g.land=s.land WHERE g.gemarkung = $1 ;";
 	$v=array($gkgnr);
 	$resh=pg_prepare("", $sqlh);
@@ -381,6 +379,6 @@
 	if ($AuchGemkZeile) {gg_head($zgemkg, true);}
 	// Body
-	$sql ="SELECT gemarkungsteilflur AS flur FROM ax_gemarkungsteilflur f ";
-	$sql.="WHERE gemarkung= $1 AND endet IS NULL ORDER BY gemarkungsteilflur LIMIT $2 ;"; //WHERE f.land=?
+	$sql ="SELECT gemarkungsteilflur AS flur FROM ax_gemarkungsteilflur f 
+	WHERE gemarkung= $1 AND endet IS NULL ORDER BY gemarkungsteilflur LIMIT $2 ;";
 	$v=array($zgemkg, $linelimit);
 	$res=pg_prepare("", $sql);
@@ -422,6 +420,6 @@
 		$sql.="st_y(st_transform(st_Centroid(f.wkb_geometry), ".$epsg.")) AS y ";			
 	}
-   $sql.="FROM ax_flurstueck f WHERE f.gemarkungsnummer= $1 AND f.flurnummer= $2 AND endet IS NULL ";
-	$sql.="ORDER BY f.zaehler, f.nenner LIMIT $3 ;"; // WHERE f.land=?
+	$sql.="FROM ax_flurstueck f WHERE f.gemarkungsnummer= $1 AND f.flurnummer= $2 AND endet IS NULL 
+	ORDER BY f.zaehler, f.nenner LIMIT $3 ;";
 	$v=array($zgemkg, $zflur, $linelimit);
 	$res=pg_prepare("", $sql);
Index: trunk/info/info/alkis/alkisfsnw.php
===================================================================
--- trunk/info/info/alkis/alkisfsnw.php	(revision 333)
+++ trunk/info/info/alkis/alkisfsnw.php	(revision 334)
@@ -497,6 +497,6 @@
 echo "\n</tr>";
 
-// Hinweis auf Bodenneuordnung oder eine strittige Grenze
-//  b.name, b.artderfestlegung, 
+// H i n w e i s  auf Bodenneuordnung oder eine strittige Grenze
+// b.name, b.artderfestlegung, 
 
 $sql_boden ="SELECT a.wert, a.bezeichner AS art_verf, b.gml_id AS verf_gml, b.bezeichnung AS verf_bez, 
@@ -505,6 +505,6 @@
 LEFT JOIN ax_dienststelle d ON b.stelle=d.stelle 
 WHERE b.endet IS NULL AND d.endet IS NULL  
-AND ST_Within((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1 ), wkb_geometry) 
-OR ST_Overlaps((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1 ), wkb_geometry)";
+AND (ST_Within((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1 AND endet IS NULL ), wkb_geometry) 
+ OR ST_Overlaps((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1 AND endet IS NULL), wkb_geometry))";
 
 pg_prepare($con, "bodeneuordnung", $sql_boden);
@@ -587,6 +587,4 @@
 }
 
-// Erweiterung Kreis Unna - Ende
-
 echo "\n</table>";
 
Index: trunk/info/info/alkis/alkisfkt.php
===================================================================
--- trunk/info/info/alkis/alkisfkt.php	(revision 333)
+++ trunk/info/info/alkis/alkisfkt.php	(revision 334)
@@ -95,21 +95,8 @@
 	// F L U R S T U E C K
 	$sql="SELECT g.gemarkungsnummer, g.bezeichnung, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.regierungsbezirk, f.kreis, f.gemeinde, f.amtlicheflaeche 
-	FROM ax_flurstueck f JOIN ax_buchungsstelle s ON f.istgebucht=substring(s.gml_id,1,16) 
+	FROM ax_flurstueck f 
+	JOIN ax_buchungsstelle s ON f.istgebucht=substring(s.gml_id,1,16) 
 	LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer 
 	WHERE s.gml_id= $1 AND f.endet IS NULL AND s.endet IS NULL AND g.endet IS NULL ORDER BY f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner;";
-
-/*
-SELECT g.gemarkungsnummer, g.bezeichnung, f.gml_id, f.flurnummer, 
-  f.zaehler, f.nenner, f.regierungsbezirk, f.kreis, f.gemeinde, f.amtlicheflaeche 
-FROM ax_flurstueck f 
-JOIN ax_buchungsstelle s ON f.istgebucht=substring(s.gml_id,1,16) 
-LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer 
-WHERE s.gml_id= 'DENW18AL00001hHb' 
-  AND f.endet IS NULL 
-  AND s.endet IS NULL 
-  AND g.endet IS NULL 
-ORDER BY f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner;
-
-$1 = 'DENW18AL00001hHb' */
 
 	$v = array($gml_bs);
@@ -178,12 +165,8 @@
 	} // Ende Flurstueck
 
-	if ($j == 0 ) { // nur Entw.
-		if ($debug > 1) {
-			echo "<p class='dbg'>Keine FS gefunden</p>";
-		}
-		if ($debug > 2) {
-			echo "<p class='dbg'>SQL='".$sql."'<br>$1 = '".$gml_bs."'</p>";
-		}
-	}
+/*	if ($j == 0 ) { // nur Entw.
+		if ($debug > 1) {echo "<p class='dbg'>Keine FS gefunden</p>";}
+		if ($debug > 2) {echo "<p class='dbg'>SQL='".$sql."'<br>$1 = '".$gml_bs."'</p>";}
+	} */
 
 	pg_free_result($resf);
Index: trunk/info/info/alkis/alkisbaurecht.php
===================================================================
--- trunk/info/info/alkis/alkisbaurecht.php	(revision 333)
+++ trunk/info/info/alkis/alkisbaurecht.php	(revision 334)
@@ -5,5 +5,5 @@
 	Version:
 	2013-06-27Neu als Variante von alkis*inlay*baurecht.ph (mit Footer, Balken und Umschaltung Key)
-	2014-09-10 PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-15 PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
 
 	ToDo: id-Anzeige hinzufÃŒgen fÃŒr Baurecht und FlurstÃŒck
@@ -41,5 +41,5 @@
 FROM ax_bauraumoderbodenordnungsrecht r 
 LEFT JOIN ax_bauraumoderbodenordnungsrecht_artderfestlegung a ON r.artderfestlegung=a.wert 
-LEFT JOIN ax_dienststelle d ON r.land=d.land AND r.stelle=d.stelle WHERE r.gml_id= $1 ;";
+LEFT JOIN ax_dienststelle d ON r.land=d.land AND r.stelle=d.stelle WHERE r.gml_id= $1 AND r.endet IS NULL AND d.endet IS NULL;";
 
 $v = array($gmlid);
@@ -125,5 +125,6 @@
 $sql ="SELECT f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, round(st_area(ST_Intersection(r.wkb_geometry,f.wkb_geometry))::numeric,1) AS schnittflae 
 FROM ax_flurstueck f, ax_bauraumoderbodenordnungsrecht r
-WHERE r.gml_id= $1 AND st_intersects(r.wkb_geometry,f.wkb_geometry) = true 
+WHERE r.gml_id= $1 AND f.endet IS NULL AND r.endet IS NULL
+AND st_intersects(r.wkb_geometry,f.wkb_geometry) = true 
 AND st_area(st_intersection(r.wkb_geometry,f.wkb_geometry)) > 0.05 
 ORDER BY schnittflae DESC LIMIT 40;"; 
Index: trunk/info/info/alkis/alkisbestnw.php
===================================================================
--- trunk/info/info/alkis/alkisbestnw.php	(revision 333)
+++ trunk/info/info/alkis/alkisbestnw.php	(revision 334)
@@ -198,5 +198,5 @@
 		//  sh=herrschend          sd=dienend
 		$sql ="SELECT sd.gml_id, sd.buchungsart, sd.laufendenummer AS lfd, sd.beschreibungdesumfangsderbuchung AS udb, sd.nummerimaufteilungsplan AS nrap, sd.beschreibungdessondereigentums AS sond, b.bezeichner AS bart ";
-		$sql.="FROM ax_buchungsstelle sh JOIN ax_buchungsstelle sd ON (sd.gml_id=ANY(sh.an) OR sd.gml_id=ANY(sh.zu)) "; 
+		$sql.="FROM ax_buchungsstelle sh JOIN ax_buchungsstelle sd ON (substring(sd.gml_id,1,16)=ANY(sh.an) OR substring(sd.gml_id,1,16)=ANY(sh.zu)) "; 
 		$sql.="LEFT JOIN ax_buchungsstelle_buchungsart b ON sd.buchungsart=b.wert ";
 		$sql.="WHERE sh.gml_id= $1 AND sh.endet IS NULL AND sd.endet IS NULL ORDER BY sd.laufendenummer;";