Index: /trunk/import/patch_2014-10-14.sql
===================================================================
--- /trunk/import/patch_2014-10-14.sql	(revision 342)
+++ /trunk/import/patch_2014-10-14.sql	(revision 342)
@@ -0,0 +1,19 @@
+
+-- PostNAS 0.8 Schema
+-- 2014-10-14 Spalten-Format aendern von integer nach character.
+-- Die Schema-Änderung auf bestehende gefüllt Datenbanken anwenden.
+
+-- Neue Spalte hinzufügen
+ALTER TABLE ax_wirtschaftlicheeinheit ADD column  anlass_neu character varying; 
+
+-- Inhalt übertragen
+UPDATE      ax_wirtschaftlicheeinheit SET         anlass_neu = cast(anlass AS character varying);
+
+-- alte Spalte wegnehmen
+ALTER TABLE ax_wirtschaftlicheeinheit DROP column anlass; 
+
+-- Name korrigieren
+ALTER TABLE ax_wirtschaftlicheeinheit rename      anlass_neu TO anlass;
+
+-- Gefüllt?
+-- SELECT COUNT(anlass) AS anzahl FROM ax_wirtschaftlicheeinheit;
Index: unk/import/patch_2014-09-12.sql
===================================================================
--- /trunk/import/patch_2014-09-12.sql	(revision 341)
+++ 	(revision )
@@ -1,73 +1,0 @@
---
--- PostNAS 0.8
--- Anwendung der der Schema-Ãnderungen vom 12.09.2014 auf bestehende Datenbanken
---
--- 2014-09-12 FJ Indizierung der ersten 16 Zeichen der gml_id, wenn diese Ziel einer ALKIS-Beziehung ist.
---
--- -> aa_objekt
--- Welche konkreten Tabellen kann das betreffen?
-
--- -> ap_lpo
-CREATE INDEX ap_lpo_gml16 ON ap_lpo USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_buchungsblatt
-CREATE INDEX ax_buchungsblatt_gml16 ON ax_buchungsblatt USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_buchungsstelle 
--- FÃŒr Relationen (ALKIS-Beziehungen) aus anderen Tabellen ÃŒber die gml_id ohne Zeitstempel
-CREATE INDEX ax_buchungsstelle_gml16 ON ax_buchungsstelle USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_flurstueck
-CREATE INDEX ax_flurstueck_gml16 ON ax_flurstueck USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_gebaeude
-CREATE INDEX ax_gebaeude_gml16 ON ax_gebaeude USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_lagebezeichnungohnehausnummer 
-CREATE INDEX ax_lagebezeichnungohnehausnummer_gml16 ON ax_lagebezeichnungohnehausnummer USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_lagebezeichnungmithausnummer
-CREATE INDEX ax_lagebezeichnungmithausnummer_gml16 ON ax_lagebezeichnungmithausnummer USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_lagebezeichnungmitpseudonummer
-CREATE INDEX ax_lagebezeichnungmitpseudonummer_gml16 ON ax_lagebezeichnungmitpseudonummer USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_verwaltung
-CREATE INDEX ax_verwaltung_gml16 ON ax_verwaltung USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_grenzpunkt
-CREATE INDEX ax_grenzpunkt_gml16 ON ax_grenzpunkt USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_namensnummer 
-CREATE INDEX ax_namensnummer_gml16 ON ax_namensnummer USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_anschrift
-CREATE INDEX ax_anschrift_gml16 ON ax_anschrift USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_person
-CREATE INDEX ax_person_gml16 ON ax_person USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- -> ax_personengruppe  -- Tabelle im Schema noch nicht vorhanden
---CREATE INDEX ax_personengruppe_gml16 ON ax_personengruppe USING btree (substring(gml_id,1,16)); -- ALKIS-Relation
-
--- Test: -- -> ax_buchungsblatt
-/*
-
--- Falsch und schnell, Findet nicht die FÃ€lle mit langer ID:
- SELECT dien.gml_id, herr.gml_id
-   FROM ax_buchungsstelle dien
-   JOIN ax_buchungsstelle herr  
-     ON dien.gml_id = ANY (herr.an) 
-  WHERE dien.endet IS NULL AND herr.endet IS NULL 
-  LIMIT 300;
--- 78 ms
-
--- findet alle FÃ€lle, ist aber unbrauchbar langsam:
- SELECT dien.gml_id, herr.gml_id
-   FROM ax_buchungsstelle dien
-   JOIN ax_buchungsstelle herr  ON substring(dien.gml_id,1,16) = ANY (herr.an) 
-  WHERE dien.endet IS NULL AND herr.endet IS NULL 
-  LIMIT 300;
--- 19454 ms  (vor dem Patch)
-
-*/