Index: /trunk/import/pp_definition.sql
===================================================================
--- /trunk/import/pp_definition.sql	(revision 343)
+++ /trunk/import/pp_definition.sql	(revision 344)
@@ -12,5 +12,5 @@
 --  2012-02-28 gkz aus View nehmen
 --  2012-04-17 Flurstuecksnummern auf Standardposition
---  2012-04-23 ax_flurstueck hat keinen Unique Index mahr auf gml_id,
+--  2012-04-23 ax_flurstueck hat keinen Unique Index mehr auf gml_id,
 --             ForeignKey vorÃŒbergehend ausgeschaltet.
 --  2012-04-25 simple_geom fuer pp_flur
@@ -21,6 +21,6 @@
 --  2014-09-02 Entfernen der JOINs ÃŒber "alkis_beziehungen". 
 --             Wie im Schema: SchlÃŒssel von integer nach varchar fÃŒr land, regierungsbezirk usw.
-
-  --  IN ARBEIT +++++    substring(_.gml_id,1,16) 
+--  2014-10-28 letzte FÃ€lle von "substring(gml_id,1,16)" wieder raus
+
 
 -- ============================
@@ -260,8 +260,8 @@
   SELECT DISTINCT p.gml_id AS person, g.land, g.regierungsbezirk, g.kreis, g.gemeinde
   FROM ax_person          p
-  JOIN ax_namensnummer    n  ON n.benennt=substring(p.gml_id,1,16)            -- Person <benennt< Namensnummer
-  JOIN ax_buchungsblatt   b  ON n.istbestandteilvon=substring(b.gml_id,1,16)  -- Namensnummer >istBestandteilVon> Blatt
-  JOIN ax_buchungsstelle  s  ON s.istbestandteilvon=substring(b.gml_id,1,16)  -- Blatt <istBestandteilVon< buchungsStelle
-  JOIN ax_flurstueck      f  ON f.istgebucht=substring(s.gml_id,1,16)         -- buchungsStelle <istGebucht< flurstÃŒck
+  JOIN ax_namensnummer    n  ON n.benennt=p.gml_id              -- Person <benennt< Namensnummer
+  JOIN ax_buchungsblatt   b  ON n.istbestandteilvon=b.gml_id    -- Namensnummer >istBestandteilVon> Blatt
+  JOIN ax_buchungsstelle  s  ON s.istbestandteilvon= b.gml_id   -- Blatt <istBestandteilVon< buchungsStelle
+  JOIN ax_flurstueck      f  ON f.istgebucht=s.gml_id           -- buchungsStelle <istGebucht< flurstÃŒck
   JOIN ax_gemarkung       k  ON f.land=k.land AND f.gemarkungsnummer=k.gemarkungsnummer 
   JOIN gemeinde_gemarkung g  ON k.gemarkungsnummer=g.gemarkung;
@@ -277,9 +277,9 @@
   SELECT DISTINCT p.gml_id AS person, g.land, g.regierungsbezirk, g.kreis, g.gemeinde
   FROM ax_person          p
-  JOIN ax_namensnummer    n  ON n.benennt=substring(p.gml_id,1,16)             -- Person <benennt< Namensnummer
-  JOIN ax_buchungsblatt   b  ON n.istBestandteilVon=substring(b.gml_id,1,16)   -- Namensnummer >istBestandteilVon> Blatt
-  JOIN ax_buchungsstelle  s1 ON s1.istbestandteilvon=substring(b.gml_id,1,16)  -- Blatt <istBestandteilVon< buchungsStelle1
-  JOIN ax_buchungsstelle  s2 ON substring(s2.gml_id,1,16)=ANY(s1.an)           -- buchungsStelle2 <(recht)an< buchungsStelle1
-  JOIN ax_flurstueck      f  ON f.istgebucht=substring(s2.gml_id,1,16)         -- buchungsStelle2 < istGebucht < flurstÃŒck
+  JOIN ax_namensnummer    n  ON n.benennt=p.gml_id             -- Person <benennt< Namensnummer
+  JOIN ax_buchungsblatt   b  ON n.istBestandteilVon=b.gml_id   -- Namensnummer >istBestandteilVon> Blatt
+  JOIN ax_buchungsstelle  s1 ON s1.istbestandteilvon=b.gml_id  -- Blatt <istBestandteilVon< buchungsStelle1
+  JOIN ax_buchungsstelle  s2 ON s2.gml_id=ANY(s1.an)           -- buchungsStelle2 <(recht)an< buchungsStelle1
+  JOIN ax_flurstueck      f  ON f.istgebucht=s2.gml_id         -- buchungsStelle2 < istGebucht < flurstÃŒck
   JOIN ax_gemarkung       k  ON f.land=k.land AND f.gemarkungsnummer=k.gemarkungsnummer 
   JOIN gemeinde_gemarkung g  ON k.gemarkungsnummer=g.gemarkung;
Index: /trunk/import/sichten_wms.sql
===================================================================
--- /trunk/import/sichten_wms.sql	(revision 343)
+++ /trunk/import/sichten_wms.sql	(revision 344)
@@ -28,4 +28,5 @@
 --  2014-08-29 P- und L-StraÃennamen gegenseitig ausschlieÃen in ap_pto_stra und ap_lto_stra
 --  2014-09-30 Umbenennung SchlÃŒsseltabellen (Prefix)
+--  2014-10-28 In "ap_pto_rest" keine Anzeige fÃŒr Texte ohne " advstandardmodell='DKKM1000' "
 
 -- Layer "ag_t_gebaeude"
@@ -276,5 +277,5 @@
            -- Ersatzweise auch "keine Angabe", aber nur wenn es keinen besseren Text zur Lage gibt
            OR (p.advstandardmodell IS NULL
-               -- Alternativen zur Legebezeichnung suchen in P- und L-Version
+               -- Alternativen zur Lagebezeichnung suchen in P- und L-Version
                AND (SELECT s.ogc_fid FROM ap_lto s -- irgend ein Feld eines anderen Textes (suchen)
                       JOIN ax_lagebezeichnungohnehausnummer ls ON ls.gml_id = ANY(s.dientzurdarstellungvon)
@@ -350,5 +351,4 @@
 -- ----------------------------------------
 -- REST: Texte, die nicht schon in einem anderen Layer ausgegeben werden
--- Ersetzt den View "s_beschriftung"
 -- Doppelte Darstellung aufgrund verschiedener "advstandardmodell" zum Objekt unterdrÃŒcken analog ap_pto_stra und ap_pto_nam
 
@@ -370,4 +370,8 @@
      -- 'PNR' = Pseudonummer (lfd.-Nr.-NebengebÃ€ude), Inhalte wie "(1)" oder "P50" - kommt nicht mehr vor, oder?
     AND ('DKKM1000' = ANY (p.advstandardmodell)     -- "Lika 1000" bevorzugen
+
+/*	-- Ãnderung 2014-10-28: nicht einbeziehen wenn advstandardmodell leer ist.
+	-- Sonst doppelte Darstellung von freierText mit StraÃennamen auf Nutzungsarten fÃŒr ABK.
+
            -- Ersatzweise auch "keine Angabe" (null) akzeptieren, aber nur wenn ...
            OR (p.advstandardmodell IS NULL
@@ -379,4 +383,5 @@
                     ) IS NULL 
               ) -- "Subquery IS NULL" liefert true wenn kein weiterer Text gefunden wird
+*/
          );
 
Index: /trunk/mapproxy/projects/alkisrlp_4.yaml
===================================================================
--- /trunk/mapproxy/projects/alkisrlp_4.yaml	(revision 344)
+++ /trunk/mapproxy/projects/alkisrlp_4.yaml	(revision 344)
@@ -0,0 +1,53 @@
+base: ../base.yaml
+
+# 2014-10-28 HQ-Print-Version ohne Cache
+# Die alte Mapbender-Print-Version, gesteuert ÃŒber die printPDF.conf, konnte nur *.map gegen *_4.map austauschen.
+# Zu gecachten WMS konnte somit keine hochauflÃ¶sende Print-Version verwendet werden.
+# Die neue Mapbender-Print Version kann auch MapProxy-WMS fÃŒr HQ-Print ersetzen.
+# Konfigurieren: GUI-Element "printPDF", Element-Var "highqualitymapfiles", Zeilen:
+#  {"pattern": "alkis08/alkis08rlp.map", "replacement": {"288": "alkis08/alkis08rlp_4.map"}},
+#  {"pattern": "mapproxy/alkisrlp", "replacement": {"288": "mapproxy/alkisrlp_4"}},
+
+# http://mapserver.krz.de/mapproxy/alkisrlp_4/service?REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.1.1
+services:
+  wms:
+    srs: ['EPSG:4326', 'EPSG:25832', 'EPSG:31467', 'EPSG:54004']
+    md:
+      title: "c: ALKIS"
+      abstract: Liegenschaftskataster ALKIS Demokarte RLP Mustermonzel. HQ-Print
+      online_resource: http://mapproxy.org/
+      access_constraints: 'Nur fÃŒr den Dienstgebrauch'
+      fees: 'None'
+
+layers:
+  - name: alkis_nutzung
+    title: Nutzungsarten
+    sources: ["alkis:nutzung_alle"]
+    min_scale: 12
+    max_scale: 8750
+  - name: alkis_lieka
+    title: ALKIS
+    sources: ["alkis:ax_gebaeude_umr,ax_bauteil,ax_besonderegebaeudelinie,ag_t_gebaeude,ax_sonstigesbauwerkodersonstigeeinrichtung,ax_sonstigesbauwerkodersonstigeeinrichtung_l,ax_flurstueck,ax_besondereflurstuecksgrenze,ag_l_flurstueck,sk2004_zuordnungspfeil_spitze,ag_t_flurstueck,ag_p_flurstueck,ax_punktortta,ap_pto_stra,ap_pto"]
+    min_scale: 12
+    max_scale: 8750
+  - name: alkis_bezirke
+    title: Bezirke
+    sources: ["alkis:pp_flur,pp_gemarkung,pp_gemeinde"]
+    min_scale: 1250
+    max_scale: 52500
+
+sources:
+  alkis:
+    type: wms
+    wms_opts:
+      legendgraphic: true
+    coverage:
+      bbox: "349550,5529460,355140,5532210"
+      bbox_srs: "EPSG:25832"
+    req:
+      url: http://ows.krz.de/cgi-bin/mapserv6?
+      map: /opt/gdi/alkis08/alkis08rlp_4.map
+      transparent: true
+      format: image/png
+  debug:
+    type: debug
Index: /trunk/umn/alkis/alkis_muster_entw.map
===================================================================
--- /trunk/umn/alkis/alkis_muster_entw.map	(revision 343)
+++ /trunk/umn/alkis/alkis_muster_entw.map	(revision 344)
@@ -25,4 +25,5 @@
 # 2014-08-29 F.J. krz: Umstellung auf Version 0.8 - Datenbankname, Titel
 # 2014-09-15 F.J. krz: Filter fÃŒr Historische Objekte "WHERE endet IS NULL" in DATA fÃŒr Tabellen ax_*
+# 2014-10-28 F.J. krz: "ANGLE follow" bei ap_lto_stra
 
 ###
@@ -2979,6 +2980,5 @@
 	MAXSCALEDENOM 25000
 	SYMBOLSCALEDENOM 1000
-	TOLERANCEUNITS pixels
-	TOLERANCE 1
+	TOLERANCEUNITS pixels TOLERANCE 1
 	# klassische Variante mit Schaltflaeche fuer Weiterleitung zur Auskunft
 #	HEADER   "/opt/gdi/templates/alkis*gkz*fsh.html" # gkz = mandant
@@ -4050,4 +4050,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -4063,4 +4064,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION cc # zentrisch/Mitte
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -4077,4 +4079,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -4092,4 +4095,5 @@
 			TYPE TRUETYPE FONT "arial"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -4105,4 +4109,5 @@
 	#		TYPE TRUETYPE FONT "arial"
 	#		POSITION cc # zentrisch/Mitte
+	#		ANGLE follow
 	#		COLOR 0 0 0
 	#		FORCE true
@@ -4119,4 +4124,5 @@
 			TYPE TRUETYPE FONT "arial"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -4134,4 +4140,5 @@
 #			TYPE TRUETYPE FONT "arialbold"
 #			POSITION cc # zentrisch/Mitte
+#			ANGLE follow
 #			COLOR 0 0 90
 #			FORCE true
@@ -4148,4 +4155,5 @@
 #			TYPE TRUETYPE FONT "arialbold"
 #			POSITION uc # zentrisch/Basis
+#			ANGLE follow
 #			COLOR 0 0 90
 #			FORCE true
@@ -4163,4 +4171,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 90 0
 			FORCE true
@@ -4177,4 +4186,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 90 0
 			FORCE true
Index: /trunk/umn/alkis/alkis_muster.map
===================================================================
--- /trunk/umn/alkis/alkis_muster.map	(revision 343)
+++ /trunk/umn/alkis/alkis_muster.map	(revision 344)
@@ -8,4 +8,5 @@
 # 2014-08-29 F.J. krz: Umstellung auf Version 0.8 - Datenbankname, Titel
 # 2014-09-15 F.J. krz: Filter fÃŒr Historische Objekte "WHERE endet IS NULL" in DATA fÃŒr Tabellen ax_*
+# 2014-10-28 F.J. krz: "ANGLE follow" bei ap_lto_stra
 
 ###
@@ -4033,4 +4034,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -4046,4 +4048,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION cc # zentrisch/Mitte
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -4060,4 +4063,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -4075,4 +4079,5 @@
 			TYPE TRUETYPE FONT "arial"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -4088,4 +4093,5 @@
 	#		TYPE TRUETYPE FONT "arial"
 	#		POSITION cc # zentrisch/Mitte
+	#		ANGLE follow
 	#		COLOR 0 0 0
 	#		FORCE true
@@ -4102,4 +4108,5 @@
 			TYPE TRUETYPE FONT "arial"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -4117,4 +4124,5 @@
 #			TYPE TRUETYPE FONT "arialbold"
 #			POSITION cc # zentrisch/Mitte
+#			ANGLE follow
 #			COLOR 0 0 90
 #			FORCE true
@@ -4131,4 +4139,5 @@
 #			TYPE TRUETYPE FONT "arialbold"
 #			POSITION uc # zentrisch/Basis
+#			ANGLE follow
 #			COLOR 0 0 90
 #			FORCE true
@@ -4146,4 +4155,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 90 0
 			FORCE true
@@ -4160,4 +4170,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 90 0
 			FORCE true
Index: /trunk/umn/alkis/alkis_muster_entw_4.map
===================================================================
--- /trunk/umn/alkis/alkis_muster_entw_4.map	(revision 343)
+++ /trunk/umn/alkis/alkis_muster_entw_4.map	(revision 344)
@@ -3,4 +3,5 @@
 # 2014-08-29 F.J. krz: Umstellung auf Version 0.8 - Datenbankname, Titel
 # 2014-09-15 F.J. krz: Filter fÃŒr Historische Objekte "WHERE endet IS NULL" in DATA fÃŒr Tabellen ax_*
+# 2014-10-28 F.J. krz: TextgrÃ¶Ãe "freierText" in _4
 MAP
 	NAME "alkis"
@@ -3270,4 +3271,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -3283,4 +3285,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION cc # zentrisch/Mitte
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -3297,4 +3300,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -3312,4 +3316,5 @@
 			TYPE TRUETYPE FONT "arial"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -3325,4 +3330,5 @@
 	#		TYPE TRUETYPE FONT "arial"
 	#		POSITION cc # zentrisch/Mitte
+	#		ANGLE follow
 	#		COLOR 0 0 0
 	#		FORCE true
@@ -3339,4 +3345,5 @@
 			TYPE TRUETYPE FONT "arial"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -3354,4 +3361,5 @@
 #			TYPE TRUETYPE FONT "arialbold"
 #			POSITION cc # zentrisch/Mitte
+#			ANGLE follow
 #			COLOR 0 0 90
 #			FORCE true
@@ -3368,4 +3376,5 @@
 #			TYPE TRUETYPE FONT "arialbold"
 #			POSITION uc # zentrisch/Basis
+#			ANGLE follow
 #			COLOR 0 0 90
 #			FORCE true
@@ -3383,4 +3392,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 90 0
 			FORCE true
@@ -3397,4 +3407,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 90 0
 			FORCE true
@@ -3441,5 +3452,5 @@
 		END
 		LABEL
-			SIZE 10 MINSIZE 8 MAXSIZE 16
+			SIZE 40 MINSIZE 32 MAXSIZE 64 # 10 8 16
 			TYPE TRUETYPE FONT "arial"
 			ANGLE [winkel]
Index: /trunk/umn/alkis/alkis_muster_4.map
===================================================================
--- /trunk/umn/alkis/alkis_muster_4.map	(revision 343)
+++ /trunk/umn/alkis/alkis_muster_4.map	(revision 344)
@@ -3,4 +3,6 @@
 # 2014-08-29 F.J. krz: Umstellung auf Version 0.8 - Datenbankname, Titel
 # 2014-09-15 F.J. krz: Filter fÃŒr Historische Objekte "WHERE endet IS NULL" in DATA fÃŒr Tabellen ax_*
+# 2014-10-28 F.J. krz: TextgrÃ¶Ãe "freierText" in _4
+# 2014-10-28 F.J. krz: "ANGLE follow" bei ap_lto_stra
 MAP
 	NAME "alkis"
@@ -3270,4 +3272,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -3283,4 +3286,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION cc # zentrisch/Mitte
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -3297,4 +3301,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -3312,4 +3317,5 @@
 			TYPE TRUETYPE FONT "arial"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -3325,4 +3331,5 @@
 	#		TYPE TRUETYPE FONT "arial"
 	#		POSITION cc # zentrisch/Mitte
+	#		ANGLE follow
 	#		COLOR 0 0 0
 	#		FORCE true
@@ -3339,4 +3346,5 @@
 			TYPE TRUETYPE FONT "arial"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 0 0
 			FORCE true
@@ -3354,4 +3362,5 @@
 #			TYPE TRUETYPE FONT "arialbold"
 #			POSITION cc # zentrisch/Mitte
+#			ANGLE follow
 #			COLOR 0 0 90
 #			FORCE true
@@ -3368,4 +3377,5 @@
 #			TYPE TRUETYPE FONT "arialbold"
 #			POSITION uc # zentrisch/Basis
+#			ANGLE follow
 #			COLOR 0 0 90
 #			FORCE true
@@ -3383,4 +3393,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
 			COLOR 0 90 0
 			FORCE true
@@ -3397,4 +3408,5 @@
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION uc # zentrisch/Basis
+			ANGLE follow
 			COLOR 0 90 0
 			FORCE true
@@ -3441,5 +3453,5 @@
 		END
 		LABEL
-			SIZE 10 MINSIZE 8 MAXSIZE 16
+			SIZE 40 MINSIZE 32 MAXSIZE 64 # 10 8 16
 			TYPE TRUETYPE FONT "arial"
 			ANGLE [winkel]