Index: trunk/umn/alkis/alkis_muster_entw.map
===================================================================
--- trunk/umn/alkis/alkis_muster_entw.map	(revision 344)
+++ trunk/umn/alkis/alkis_muster_entw.map	(revision 345)
@@ -25,5 +25,7 @@
 # 2014-08-29 F.J. krz: Umstellung auf Version 0.8 - Datenbankname, Titel
 # 2014-09-15 F.J. krz: Filter fÃŒr Historische Objekte "WHERE endet IS NULL" in DATA fÃŒr Tabellen ax_*
-# 2014-10-28 F.J. krz: "ANGLE follow" bei ap_lto_stra
+# 2014-10-28 F.J. krz: "ANGLE follow" bei ap_lto_stra, TextgrÃ¶Ãen verkleinert in PrÃ€sentation
+# 2014-10-28 F.J. krz: Versuch "OPACITY 80" auf "nutzung_alle"
+# 2014-10-29 F.J. krz: StraÃennamen auf Liniengeometrie besser positionieren
 
 ###
@@ -33,22 +35,6 @@
 # ToDo:
 # - Gebaeude: Layer nach "Name" und "Funktion" auftrennen.
-
 # - neuen Layer "Namen" auf View ap_pto_nam (NAM, ZNM)
-
-# - Bei PrÃ€sentation/Beschriftung die doppelten Texte unterdrÃŒcken (-> View?)
-#   FÃŒr appto_stra und appto_rest bereits erfolgt.
-
 # - Mit Status on/off die gÃ€ngigen Layer vorkonfigurieren?
-
-# - ZuordnungspfeilE FS:
-#   Linie im Druck zu dÃŒnn
-#   Ist doppelt: in "FlurstÃŒck" ("ag_l_flurstueck") und in "PrÃ€sentation/Zuordnungspfeile" ("ap_lpo")
-
-# - Zuordnungspfeile NebengebÃ€ude:
-#   entfÃ€llt? Oder auch fÃŒr Hausnummern verwendet?
-#   Was wird da eigentlich zugeordnet?  Beispiel: 140 am Quellenweg
-
-# - StraÃennamen im Cache abgeschnitten, PARTIALS TRUE?  Beispiel: 250 BrÃŒderweg
-# - Hausnummern doppelt oder mehrfach (z.B. 070: BÃŒrgermeister-Brinkmann-Weg 3)
 # - Template auf GebÃ€ude-Objekt, Auskunft aufrufen?
 
@@ -169,4 +155,5 @@
 	MINSCALEDENOM 50
 	MAXSCALEDENOM 20000 # die Einzel-Layer bis 10T
+	OPACITY 80
 	CLASSITEM nutz_id
 	# ** Siedlung **
@@ -3836,6 +3823,6 @@
 	END
 END
+
 # ALKIS  AAA-PrÃ€sentationsobjekte
-# ToDo: Welche Texte sollen zu anderen Layern angezeigt werden?
 LAYER
 	NAME "ap_pto_stra"
@@ -3857,21 +3844,21 @@
 	#EXTENT 349000 5529000 356000 5533000
 	#MINSCALEDENOM 50
-	MAXSCALEDENOM 4000
+	MAXSCALEDENOM 2500 # 4000
 	SYMBOLSCALEDENOM 1000
 	LABELITEM schriftinhalt
-	
-	# Strasse
+
+	# Strasse 
 	CLASS
 		EXPRESSION ('[art]' eq 'Strasse' AND '[hor]' eq 'linksbÃŒndig' AND '[ver]' eq 'Basis')
 		#NAME 'StraÃe'
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+	#	STYLE
+	#		SYMBOL "point" SIZE 1
+	#	END
 		LABEL
-			SIZE 10 MINSIZE 6 MAXSIZE 20
+			SIZE 8 MINSIZE 6 MAXSIZE 16
 			TYPE TRUETYPE FONT "arialbold"
 			ANGLE [winkel] POSITION ur # linksbÃŒndig/Basis
 			COLOR 0 0 0
-			FORCE true
+			FORCE true PARTIALS true
 		END
 	END
@@ -3879,9 +3866,9 @@
 		EXPRESSION ('[art]' eq 'Strasse' AND '[hor]' eq 'zentrisch' AND '[ver]' eq 'Mitte')
 		#NAME 'StraÃe'
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+	#	STYLE
+	#		SYMBOL "point" SIZE 1
+	#	END
 		LABEL
-			SIZE 10 MINSIZE 6 MAXSIZE 20
+			SIZE 8 MINSIZE 6 MAXSIZE 16
 			TYPE TRUETYPE FONT "arialbold"
 			ANGLE [winkel] POSITION cc # zentrisch/Mitte
@@ -3893,9 +3880,9 @@
 		EXPRESSION ('[art]' eq 'Strasse') 
 		NAME 'StraÃe'
-		STYLE
-			SYMBOL "point" SIZE 1 MINSIZE 1
-		END
+	#	STYLE
+	#		SYMBOL "point" SIZE 1 MINSIZE 1
+	#	END
 		LABEL
-			SIZE 10 MINSIZE 6 MAXSIZE 20
+			SIZE 8 MINSIZE 6 MAXSIZE 16
 			TYPE TRUETYPE FONT "arialbold"
 			ANGLE [winkel] POSITION uc # zentrisch/Basis
@@ -3909,9 +3896,9 @@
 		EXPRESSION ('[art]' eq 'Weg' AND '[hor]' eq 'linksbÃŒndig' AND '[ver]' eq 'Basis')
 		#NAME 'Weg'
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+	#	STYLE
+	#		SYMBOL "point" SIZE 1
+	#	END
 		LABEL
-			SIZE 8 MINSIZE 5 MAXSIZE 16
+			SIZE 7 MINSIZE 5 MAXSIZE 14
 			TYPE TRUETYPE FONT "arial"
 			ANGLE [winkel] 
@@ -3924,9 +3911,9 @@
 		EXPRESSION ('[art]' eq 'Weg' AND '[hor]' eq 'zentrisch' AND '[ver]' eq 'Mitte')
 		#NAME 'Weg'
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+	#	STYLE
+	#		SYMBOL "point" SIZE 1
+	#	END
 		LABEL
-			SIZE 8 MINSIZE 5 MAXSIZE 16
+			SIZE 7 MINSIZE 5 MAXSIZE 14
 			TYPE TRUETYPE FONT "arial"
 			ANGLE [winkel] POSITION cc # zentrisch/Mitte
@@ -3938,9 +3925,9 @@
 		EXPRESSION ('[art]' eq 'Weg')
 		NAME 'Weg'
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+	#	STYLE
+	#		SYMBOL "point" SIZE 1
+	#	END
 		LABEL
-			SIZE 8 MINSIZE 5 MAXSIZE 16
+			SIZE 7 MINSIZE 5 MAXSIZE 14
 			TYPE TRUETYPE FONT "arial"
 			ANGLE [winkel] POSITION uc # zentrisch/Basis
@@ -3955,9 +3942,9 @@
 		EXPRESSION ('[art]' eq 'Platz' AND '[ver]' eq 'Mitte')
 		#NAME 'Platz'
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+	#	STYLE
+	#		SYMBOL "point" SIZE 1
+	#	END
 		LABEL
-			SIZE 10 MINSIZE 7 MAXSIZE 22
+			SIZE 9 MINSIZE 7 MAXSIZE 20
 			TYPE TRUETYPE FONT "arialbold"
 			ANGLE [winkel] POSITION cc # zentrisch/Mitte
@@ -3970,9 +3957,9 @@
 		EXPRESSION ('[art]' eq 'Platz')
 		NAME 'Platz'
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+	#	STYLE
+	#		SYMBOL "point" SIZE 1
+	#	END
 		LABEL
-			SIZE 10 MINSIZE 7 MAXSIZE 22
+			SIZE 9 MINSIZE 7 MAXSIZE 20
 			TYPE TRUETYPE FONT "arialbold"
 			ANGLE [winkel] POSITION uc # zentrisch/Basis
@@ -3987,9 +3974,9 @@
 		EXPRESSION ('[art]' eq 'BezKlassifizierungStrasse' AND '[hor]' eq 'linksbÃŒndig')
 		#NAME 'Klassifizierung'
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+	#	STYLE
+	#		SYMBOL "point" SIZE 1
+	#	END
 		LABEL
-			SIZE 11 MINSIZE 8 MAXSIZE 22
+			SIZE 10 MINSIZE 8 MAXSIZE 20
 			TYPE TRUETYPE FONT "arialbold"
 			ANGLE [winkel] POSITION ur # linksbÃŒndig/Basis
@@ -4002,9 +3989,9 @@
 		EXPRESSION ('[art]' eq 'BezKlassifizierungStrasse')
 		NAME 'Klassifizierung'
-		STYLE
-			SYMBOL "point" SIZE 1 MINSIZE 1
-		END
+	#	STYLE
+	#		SYMBOL "point" SIZE 1 MINSIZE 1
+	#	END
 		LABEL
-			SIZE 11 MINSIZE 8 MAXSIZE 22
+			SIZE 10 MINSIZE 8 MAXSIZE 20
 			TYPE TRUETYPE FONT "arialbold"
 			ANGLE [winkel] POSITION uc # zentrisch/Basis
@@ -4014,4 +4001,6 @@
 	END
 END
+
+#### +++++++++++++++++++  ToDo: SCALE und Position in _4 ÃŒbertragen +++++++
 
 LAYER # 2014-08-25 Neu: wie zuvor, aber positioniert ÃŒber Linie
@@ -4030,5 +4019,5 @@
 		wms_abstract "Beschriftung mit Art = StraÃe, Weg, Platz, Klassifizierung (Linie)"
 	END
-	MAXSCALEDENOM 4000
+	MAXSCALEDENOM 2500 # 4000
 	SYMBOLSCALEDENOM 1000
 	LABELITEM schriftinhalt
@@ -4043,11 +4032,38 @@
 	CLASS
 		EXPRESSION ('[art]' eq 'Strasse' AND '[hor]' eq 'linksbÃŒndig' AND '[ver]' eq 'Basis')
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+		#STYLE
+		#	SYMBOL "point" SIZE 1
+		#END
+	#	STYLE # TEST: Positionierungs-Linie sichtbar machen
+	#		COLOR 250 40 40 PATTERN 4 8 END # rot
+	#		WIDTH 1 MINWIDTH 1 MAXWIDTH 1
+	#	END
 		LABEL
-			SIZE 10 MINSIZE 6 MAXSIZE 20
+			SIZE 8 MINSIZE 6 MAXSIZE 16
 			TYPE TRUETYPE FONT "arialbold"
-			POSITION ur # linksbÃŒndig/Basis
+			ANGLE follow
+
+			OFFSET 3 99 # Basis: Text ÃŒber der Linie, theoretisch 1/2 SIZE, aber scaliert nicht, bleibt fix!
+		#	POSITION ur # linksbÃŒndig/Basis 
+			POSITION uc # linksbÃŒndig/Basis 
+			# Dok: With lines, it only uses lc or uc, ...
+			# immer c=center auf Linie, "linksbÃŒndig" kann also mit Mapserver nicht umgesetzt werden!
+			TEXT '[schriftinhalt]      ' # Ersatz: 6 Zeichen nach links verschieben
+
+		#	MINDISTANCE 5 # Wirkt nicht bei Kollision mit Klassifizierung
+			COLOR 0 0 0
+			FORCE true
+		END
+	END
+	CLASS
+		EXPRESSION ('[art]' eq 'Strasse' AND '[hor]' eq 'zentrisch' AND '[ver]' eq 'Mitte')
+	#	STYLE
+	#		COLOR 40 250 40 PATTERN 4 8 END # grÃŒn
+	#		WIDTH 1 MINWIDTH 1 MAXWIDTH 1
+	#	END
+		LABEL
+			SIZE 8 MINSIZE 6 MAXSIZE 16
+			TYPE TRUETYPE FONT "arialbold"
+			#POSITION cc # zentrisch/Mitte
 			ANGLE follow
 			COLOR 0 0 0
@@ -4056,25 +4072,12 @@
 	END
 	CLASS
-		EXPRESSION ('[art]' eq 'Strasse' AND '[hor]' eq 'zentrisch' AND '[ver]' eq 'Mitte')
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
-		LABEL
-			SIZE 10 MINSIZE 6 MAXSIZE 20
-			TYPE TRUETYPE FONT "arialbold"
-			POSITION cc # zentrisch/Mitte
-			ANGLE follow
-			COLOR 0 0 0
-			FORCE true
-		END
-	END
-	CLASS
 		EXPRESSION ('[art]' eq 'Strasse') 
 		NAME 'StraÃe'
-		STYLE
-			SYMBOL "point" SIZE 1 MINSIZE 1
-		END
+	#	STYLE
+	#		COLOR 40 40 250 PATTERN 4 8 END # blau
+	#		WIDTH 1 MINWIDTH 1 MAXWIDTH 1
+	#	END
 		LABEL
-			SIZE 10 MINSIZE 6 MAXSIZE 20
+			SIZE 8 MINSIZE 6 MAXSIZE 16
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION uc # zentrisch/Basis
@@ -4088,11 +4091,11 @@
 	CLASS
 		EXPRESSION ('[art]' eq 'Weg' AND '[hor]' eq 'linksbÃŒndig' AND '[ver]' eq 'Basis')
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
 		LABEL
-			SIZE 8 MINSIZE 5 MAXSIZE 16
+			SIZE 7 MINSIZE 5 MAXSIZE 14
 			TYPE TRUETYPE FONT "arial"
-			POSITION ur # linksbÃŒndig/Basis
+		#	POSITION ur # linksbÃŒndig/Basis
+			POSITION uc # linksbÃŒndig/Basis 
+			OFFSET 3 99 # siehe StraÃe
+			TEXT '[schriftinhalt]    '
 			ANGLE follow
 			COLOR 0 0 0
@@ -4102,7 +4105,4 @@
 	#CLASS
 	#	EXPRESSION ('[art]' eq 'Weg' AND '[hor]' eq 'zentrisch' AND '[ver]' eq 'Mitte')
-	#	STYLE
-	#		SYMBOL "point" SIZE 1
-	#	END
 	#	LABEL
 	#		SIZE 8 MINSIZE 5 MAXSIZE 16
@@ -4117,9 +4117,10 @@
 		EXPRESSION ('[art]' eq 'Weg')
 		NAME 'Weg'
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+	#	STYLE # TEST
+	#		COLOR 250 250 40 PATTERN 8 4 END
+	#		WIDTH 1 MINWIDTH 1 MAXWIDTH 1
+	#	END
 		LABEL
-			SIZE 8 MINSIZE 5 MAXSIZE 16
+			SIZE 7 MINSIZE 5 MAXSIZE 14
 			TYPE TRUETYPE FONT "arial"
 			POSITION uc # zentrisch/Basis
@@ -4133,9 +4134,6 @@
 #	CLASS
 #		EXPRESSION ('[art]' eq 'Platz' AND '[ver]' eq 'Mitte')
-#		STYLE
-#			SYMBOL "point" SIZE 1
-#		END
 #		LABEL
-#			SIZE 10 MINSIZE 7 MAXSIZE 22
+#			SIZE 9 MINSIZE 7 MAXSIZE 20
 #			TYPE TRUETYPE FONT "arialbold"
 #			POSITION cc # zentrisch/Mitte
@@ -4148,9 +4146,9 @@
 #		EXPRESSION ('[art]' eq 'Platz')
 #		NAME 'Platz'
-#		STYLE
-#			SYMBOL "point" SIZE 1
-#		END
+#		#STYLE
+#		#	SYMBOL "point" SIZE 1
+#		#END
 #		LABEL
-#			SIZE 10 MINSIZE 7 MAXSIZE 22
+#			SIZE 9 MINSIZE 7 MAXSIZE 20
 #			TYPE TRUETYPE FONT "arialbold"
 #			POSITION uc # zentrisch/Basis
@@ -4164,9 +4162,10 @@
 	CLASS
 		EXPRESSION ('[art]' eq 'BezKlassifizierungStrasse' AND '[hor]' eq 'linksbÃŒndig')
-		STYLE
-			SYMBOL "point" SIZE 1
-		END
+	#	STYLE # TEST
+	#		COLOR 40 40 40 PATTERN 8 4 END
+	#		WIDTH 1 MINWIDTH 1 MAXWIDTH 1
+	#	END
 		LABEL
-			SIZE 11 MINSIZE 8 MAXSIZE 22
+			SIZE 10 MINSIZE 8 MAXSIZE 20
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION ur # linksbÃŒndig/Basis
@@ -4179,9 +4178,10 @@
 		EXPRESSION ('[art]' eq 'BezKlassifizierungStrasse')
 		NAME 'Klassifizierung'
-		STYLE
-			SYMBOL "point" SIZE 1 MINSIZE 1
-		END
+	#	STYLE # TEST
+	#		COLOR 40 40 40 PATTERN 8 4 END
+	#		WIDTH 1 MINWIDTH 1 MAXWIDTH 1
+	#	END
 		LABEL
-			SIZE 11 MINSIZE 8 MAXSIZE 22
+			SIZE 10 MINSIZE 8 MAXSIZE 20
 			TYPE TRUETYPE FONT "arialbold"
 			POSITION uc # zentrisch/Basis
@@ -4236,5 +4236,6 @@
 		END
 		LABEL
-			SIZE 10 MINSIZE 8 MAXSIZE 16
+		#	SIZE 10 MINSIZE 8 MAXSIZE 16
+			SIZE 9 MINSIZE 7 MAXSIZE 16
 			TYPE TRUETYPE FONT "arial"
 			ANGLE [winkel]
@@ -4251,5 +4252,6 @@
 		END
 		LABEL
-			SIZE 10 MINSIZE 8 MAXSIZE 16
+		#	SIZE 10 MINSIZE 8 MAXSIZE 16
+			SIZE 9 MINSIZE 7 MAXSIZE 16
 			TYPE TRUETYPE FONT "arial"
 			ANGLE [winkel]